GET Attachments/ByLastModifiedDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning last modified date of the attachments to retrieve |
date |
None. |
| endDate |
Ending last modified date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "201f1f43-6609-466f-bf7e-9edca49c812a",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "53406adf-9beb-4fd7-b665-47cf02ce62c3",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "59210bd0-f10f-4859-9d65-633a3168529f",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "ab953c06-aa99-462f-9821-6eef59b60455",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "4be64c97-8e61-422d-9708-94070aaf5ea0",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8c8030d2-ca5b-4352-937b-a7c5a90fadb0",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "33590f20-2daa-412e-b26a-8f17839f4fb1",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-15T12:44:32.8629188-08:00",
"MeasurementValueNeededDate": "2026-11-15T12:44:32.8629188-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "f975fc4e-2dcd-498d-9490-2eb3a3eea8a2",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-15T12:44:32.8629188-08:00",
"MeasurementValueNeededDate": "2026-11-15T12:44:32.8629188-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "395175c3-ae91-49cd-b951-57097c9698a5",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-15T12:44:32.8629188-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "ef0e9cfc-3175-4afb-a52c-d0f05fd76944",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "201f1f43-6609-466f-bf7e-9edca49c812a",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "53406adf-9beb-4fd7-b665-47cf02ce62c3",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "59210bd0-f10f-4859-9d65-633a3168529f",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "ab953c06-aa99-462f-9821-6eef59b60455",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "4be64c97-8e61-422d-9708-94070aaf5ea0",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8c8030d2-ca5b-4352-937b-a7c5a90fadb0",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "33590f20-2daa-412e-b26a-8f17839f4fb1",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-15T12:44:32.8629188-08:00",
"MeasurementValueNeededDate": "2026-11-15T12:44:32.8629188-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "f975fc4e-2dcd-498d-9490-2eb3a3eea8a2",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-15T12:44:32.8629188-08:00",
"MeasurementValueNeededDate": "2026-11-15T12:44:32.8629188-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "395175c3-ae91-49cd-b951-57097c9698a5",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-15T12:44:32.8629188-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "ef0e9cfc-3175-4afb-a52c-d0f05fd76944",
"CreateDate": "2026-11-15T12:44:32.8629188-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T12:44:32.8629188-08:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}